<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Validation\Rule;
use Spatie\Permission\Models\Permission;

class Permissions extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
        return view('admin.permission.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
        $validator = Validator::make($request->input(), [
            'name' => ['required', 'string', 'max:50', Rule::unique(Permission::class)],
            'description' => ['required', 'string', 'max:250']
        ]);

        if($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator->errors());
        }

        $input = $validator->validated();

        $user = Permission::create([
            'name' => $input['name'],
            'description' => $input['description'],
        ]);

        if(!$user->save()) {
            return redirect()->back()->withInput()->with('error', 'Berechtigung konnte nicht erstellt werden!');
        }

        if($request->input('more')) {
            return redirect()->back()->with('success', 'Berechtigung wurde erstellt.');
        }

        return redirect()->route('admin.roles.index')->with('success', 'Berechtigung wurde erstellt.');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
