<?php

namespace App\Http\Controllers\Installer;

use App\Helpers\Installer\RequirementsChecker;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class RequirementsController extends Controller
{
    //
    public function __invoke()
    {
        $checker = new RequirementsChecker();

        $phpSupportInfo = $checker->checkPHPversion(
            config('installer.core.minPhpVersion')
        );

        $requirements = $checker->check(
            config('installer.requirements')
        );

        return view('_installer.requirements', compact('requirements', 'phpSupportInfo'));
    }
}
