<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Alert extends Component
{
    public string $class = 'bg-cyan-500 text-cyan-950';

    /**
     * Create a new component instance.
     */
    public function __construct(
        public string $type,
        public string $message
    )
    {
        if($type === 'error') {
            $this->class = 'bg-red-500 text-red-950';
        } elseif($type === 'success') {
            $this->class = 'bg-green-500 text-green-950';
        } elseif($type === 'warning') {
            $this->class = 'bg-orange-500 text-orange-950';
        } else {
            $this->class = 'bg-cyan-500 text-cyan-950';
        }
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.alert');
    }
}
