<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Installer | @yield('title', 'Welcome')</title>

    @vite(["resources/css/app.css", 'resources/js/app.js'])

    @yield('scripts')
</head>
<body class="bg-neutral-800 text-white">
    <div class="min-h-screen flex sm:justify-center items-center pt-6 sm:pt-0">
        <aside class="w-72">
            <ol class="space-y-4 w-72">
                <li>
                    <div class="w-full p-4 border rounded-lg bg-gray-800 border-gray-700 text-gray-400
                    @if(request()->routeIs('installer.welcome')) border-blue-800 text-blue-400 @endif
                    @if(request()->routeIs('installer.requirements') || request()->routeIs('installer.permissions') || request()->routeIs('installer.environment') || request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish')) border-green-800 text-green-400 @endif" role="alert">
                        <div class="flex items-center justify-between">
                            <h3 class="font-medium">Welcome</h3>

                            @if(request()->routeIs('installer.welcome'))
                                <i class="far fa-circle-dot"></i>
                            @endif

                            @if(request()->routeIs('installer.requirements') || request()->routeIs('installer.permissions') || request()->routeIs('installer.environment') || request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish'))
                                <i class="far fa-check-circle"></i>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <div class="w-full p-4 border rounded-lg bg-gray-800 border-gray-700 text-gray-400
                    @if(request()->routeIs('installer.requirements')) border-blue-800 text-blue-400 @endif
                    @if(request()->routeIs('installer.permissions') || request()->routeIs('installer.environment') || request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish')) border-green-800 text-green-400 @endif" role="alert">
                        <div class="flex items-center justify-between">
                            <h3 class="font-medium">Server Requirements</h3>

                            @if(request()->routeIs('installer.requirements'))
                                <i class="far fa-circle-dot"></i>
                            @endif

                            @if(request()->routeIs('installer.permissions') || request()->routeIs('installer.environment') || request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish'))
                                <i class="far fa-check-circle"></i>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <div class="w-full p-4 border rounded-lg bg-gray-800 border-gray-700 text-gray-400
                    @if(request()->routeIs('installer.permissions')) border-blue-800 text-blue-400 @endif
                    @if(request()->routeIs('installer.environment') || request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish')) border-green-800 text-green-400 @endif" role="alert">
                        <div class="flex items-center justify-between">
                            <h3 class="font-medium">Folder Permissions</h3>

                            @if(request()->routeIs('installer.permissions'))
                                <i class="far fa-circle-dot"></i>
                            @endif

                            @if(request()->routeIs('installer.environment') || request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish'))
                                <i class="far fa-check-circle"></i>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <div class="w-full p-4 border rounded-lg bg-gray-800 border-gray-700 text-gray-400
                    @if(request()->routeIs('installer.environment')) border-blue-800 text-blue-400 @endif
                    @if(request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish')) border-green-800 text-green-400 @endif" role="alert">
                        <div class="flex items-center justify-between">
                            <h3 class="font-medium">Environment Variables</h3>

                            @if(request()->routeIs('installer.environment'))
                                <i class="far fa-circle-dot"></i>
                            @endif

                            @if(request()->routeIs('installer.database') || request()->routeIs('installer.create_user') || request()->routeIs('installer.finish'))
                                <i class="far fa-check-circle"></i>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <div class="w-full p-4 border rounded-lg bg-gray-800 border-gray-700 text-gray-400
                    @if(request()->routeIs('installer.database')) border-blue-800 text-blue-400 @endif
                    @if(request()->routeIs('installer.create_user') || request()->routeIs('installer.finish')) border-green-800 text-green-400 @endif" role="alert">
                        <div class="flex items-center justify-between">
                            <h3 class="font-medium">Database</h3>

                            @if(request()->routeIs('installer.database'))
                                <i class="far fa-circle-dot"></i>
                            @endif

                            @if(request()->routeIs('installer.create_user') || request()->routeIs('installer.finish'))
                                <i class="far fa-check-circle"></i>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <div class="w-full p-4 border rounded-lg bg-gray-800 border-gray-700 text-gray-400
                    @if(request()->routeIs('installer.create_user')) border-blue-800 text-blue-400 @endif
                    @if(request()->routeIs('installer.finish')) border-green-800 text-green-400 @endif" role="alert">
                        <div class="flex items-center justify-between">
                            <h3 class="font-medium">Admin User</h3>

                            @if(request()->routeIs('installer.create_user'))
                                <i class="far fa-circle-dot"></i>
                            @endif

                            @if(request()->routeIs('installer.finish'))
                                <i class="far fa-check-circle"></i>
                            @endif
                        </div>
                    </div>
                </li>
                <li>
                    <div class="w-full p-4 border rounded-lg bg-gray-800 border-gray-700 text-gray-400
                    @if(request()->routeIs('installer.finish')) border-blue-800 text-blue-400 @endif" role="alert">
                        <div class="flex items-center justify-between">
                            <h3 class="font-medium">Finished</h3>

                            @if(request()->routeIs('installer.finish'))
                                <i class="far fa-circle-dot"></i>
                            @endif
                        </div>
                    </div>
                </li>
            </ol>
        </aside>

        <main class="flex-1 w-full px-8 py-10 max-w-2xl overflow-hidden">

            @include('common.notifications')
            @yield('content')
        </main>
    </div>
</body>
</html>
