@extends('_installer._layout')

@section('title', 'Permissions')

@section('content')
    <ul class="space-y-2">
        @foreach($permissions['permissions'] as $permission)
            <li class="py-2 px-2 rounded flex justify-between {{ $permission['isSet'] ? 'bg-green-500' : 'bg-red-500' }}">
                <div>
                    <i class="fas fa-fw fa-{{ $permission['isSet'] ? 'check-circle' : 'exclamation-circle' }}"></i>
                    {{ $permission['folder'] }}
                </div>
                <div>
                    <span class="bg-gray-700 text-gray-300 text-xs px-2.5 py-0.5 font-medium rounded">
                        {{ $permission['permission'] }}
                    </span>
                </div>
            </li>
        @endforeach
    </ul>

    @if(!isset($permissions['errors']))
        <div class="flex justify-end mt-4">
            <a class="px-3 py-1 bg-green-500 rounded border border-green-600 hover:bg-green-600" href="{{ route('installer.environment') }}">
                Weiter
                <i class="fas fa-angle-right" aria-hidden="true"></i>
            </a>
        </div>
    @endif
@endsection
