@extends('_installer._layout')

@section('title', 'Requirements')

@section('content')
    @foreach($requirements['requirements'] as $type => $requirement)
        <ul class="space-y-2">
            <li class="list__item list__title {{ $phpSupportInfo['supported'] ? 'text-green-500' : 'text-red-600' }}">
                <strong>{{ strtoupper($type) }}</strong>
                @if($type == 'php')
                    <strong>
                        <small>
                            (version {{ $phpSupportInfo['minimum'] }} required)
                        </small>
                    </strong>
                    <span class="float-right">
                        <strong>
                            {{ $phpSupportInfo['current'] }}
                        </strong>
                        <i class="fas fa-fw fa-{{ $phpSupportInfo['supported'] ? 'check-circle' : 'exclamation-circle' }} row-icon" aria-hidden="true"></i>
                    </span>
                @endif
            </li>
            @foreach($requirement as $extention => $enabled)
                <li class="py-2 px-2 rounded {{ $enabled ? 'bg-green-500' : 'bg-red-500' }}">
                    <i class="fas fa-fw fa-{{ $enabled ? 'check-circle' : 'exclamation-circle' }} row-icon" aria-hidden="true"></i>
                    {{ $extention }}
                </li>
            @endforeach
        </ul>
    @endforeach

    @if(!isset($requirements['errors']) && $phpSupportInfo['supported'])
        <div class="flex justify-end mt-4">
            <a class="px-3 py-1 bg-green-500 rounded border border-green-600 hover:bg-green-600" href="{{ route('installer.permissions') }}">
                Weiter
                <i class="fas fa-angle-right" aria-hidden="true"></i>
            </a>
        </div>
    @endif
@endsection
