@extends('_installer._layout')

@section('title', 'Environment')

@section('content')
    <form method="post" action="{{ route('installer.create_user') }}" class="tabs-wrap">
        @csrf

        <div class="mb-3 {{ $errors->has('email') ? ' has-error ' : '' }}">
            <label for="email">E-Mail</label>
            <input type="email" autocomplete="email" class="bg-neutral-700 border border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400" name="email" id="email" value="{{ old('email') }}" placeholder="E-Mail" />
            @if ($errors->has('email'))
                <span class="error-block">
                    <i class="fa fa-fw fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ $errors->first('email') }}
                </span>
            @endif
        </div>

        <div class="mb-3 {{ $errors->has('name') ? ' has-error ' : '' }}">
            <label for="name">Username</label>
            <input type="text" autocomplete="username" class="bg-neutral-700 border border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400" name="name" id="name" value="{{ old('name') }}" placeholder="Username" />
            @if ($errors->has('name'))
                <span class="error-block">
                    <i class="fa fa-fw fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ $errors->first('name') }}
                </span>
            @endif
        </div>

        <div class="mb-3 {{ $errors->has('password') ? ' has-error ' : '' }}">
            <label for="password">Passwort</label>
            <input type="password" autocomplete="new-password" class="bg-neutral-700 border border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400" name="password" id="password" placeholder="Passwort" />
            @if ($errors->has('password'))
                <span class="error-block">
                    <i class="fa fa-fw fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ $errors->first('password') }}
                </span>
            @endif
        </div>

        <div class="mb-3 {{ $errors->has('password') ? ' has-error ' : '' }}">
            <label for="password_confirmation">Passwort wiederholen</label>
            <input type="password" autocomplete="new-password" class="bg-neutral-700 border border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400" name="password_confirmation" id="password_confirmation" placeholder="Passwort wiederholen" />
            @if ($errors->has('password'))
                <span class="error-block">
                    <i class="fa fa-fw fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ $errors->first('password') }}
                </span>
            @endif
        </div>

        <div class="flex justify-end mt-4">
            <button type="submit" class="px-3 py-1 bg-green-500 rounded border border-green-600 hover:bg-green-600">
                Weiter
                <i class="fa fa-angle-right fa-fw" aria-hidden="true"></i>
            </button>
        </div>
    </form>
@endsection
