<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>@yield('title', '') | {{ config('app.name', 'IFC Management') }}</title>

    @vite(["resources/css/app.css", 'resources/js/app.js'])

    @yield('scripts')
</head>
<body class="bg-neutral-800 text-white">
    <div class="container mx-auto">
        <div class="flex py-10 justify-between w-full">
            <div class="flex space-x-2">
                <a href="{{ route('teams.index') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    My Teams
                </a>
                <a href="{{ route('user.edit') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    Settings
                </a>
            </div>

            <div class="flex space-x-2">
                @if(auth()->id())
                    @can('teams.management')
                        <a href="{{ route('gamemanage.index') }}" class="bg-amber-700 rounded-full py-3 px-6 text-white hover:bg-amber-900 drop-shadow">
                            Game Manager
                        </a>
                    @endcan
                    @can('admin.open')
                        <a href="{{ route('admin.dashboard') }}" class="bg-red-700 rounded-full py-3 px-6 text-white hover:bg-red-900 drop-shadow">
                            Admin
                        </a>
                    @endcan

                    <a href="{{ route('logout') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Ausloggen
                    </a>
                @else
                    <a href="{{ route('login') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Einloggen
                    </a>
                    <a href="{{ route('register') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Registrieren
                    </a>
                @endif
            </div>
        </div>
        <!-- uwu -->
        <main class="w-full mb-12">
            @yield('content')
        </main>
    </div>
</body>
</html>
