<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>@yield('title', '') | {{ config('app.name', 'IFC Management') }}</title>

    @vite(["resources/css/app.css", 'resources/js/app.js'])
</head>
<body class="bg-neutral-800 text-white">
    <div class="container mx-auto">
        <div class="flex py-10 justify-between w-full">
            <div class="flex space-x-2">
                @canany(['users.create', 'users.edit', 'users.delete'])
                    <a href="{{ route('admin.users.index') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Users
                    </a>
                @endcanany
                @canany(['roles.create', 'roles.edit', 'roles.delete'])
                    <a href="{{ route('admin.roles.index') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Roles
                    </a>
                @endcanany
                @canany(['games.create', 'games.edit', 'games.delete'])
                    <a href="{{ route('admin.games.index') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Games
                    </a>
                @endcanany
                @canany(['teams.create', 'teams.edit', 'teams.delete'])
                    <a href="{{ route('admin.teams.index') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Teams
                    </a>
                @endcanany
            </div>

            <div class="flex space-x-2">
                <a href="{{ route('home') }}" class="bg-cyan-700 rounded-full py-3 px-6 text-white hover:bg-cyan-900 drop-shadow">
                    Home
                </a>

                <a href="{{ route('logout') }}" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    Ausloggen
                </a>
            </div>
        </div>
        <!-- uwu -->
        <main class="w-full mb-12">
            @yield('content')
        </main>
    </div>
</body>
</html>
