@extends('_layouts.backend')

@section('title', 'Neue Berechtigung erstellen')

@section('content')
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Create permission</h3>
    </div>

    @if($errors->any())
        <div class="bg-red-500 text-red-950 p-3 rounded my-3">
            <ul>
                @foreach($errors->all() as $error)
                    <li>
                        {{$error}}
                    </li>
                @endforeach
            </ul>
        </div>
    @endif

    @if(session('error'))
        <div class="bg-red-500 text-red-950 p-3 rounded my-3">
            {{session('error')}}
        </div>
    @endif

    @if(session('success'))
        <div class="bg-green-500 text-green-950 p-3 rounded my-3">
            {{session('success')}}
        </div>
    @endif

    <form action="{{ route('admin.permissions.create') }}" method="POST">
        @csrf
        <!-- name -->
        <div class="mb-6">
            <label for="name" class="block mb-2 text-sm font-medium">
                Name
            </label>
            <input type="text" id="name" name="name" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="permission name" required value="{{ old('name') }}">
        </div>
        <!-- description -->
        <div class="mb-6">
            <label for="description" class="block mb-2 text-sm font-medium">
                Description
            </label>
            <input type="text" id="description" name="description" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="permission description" required value="{{ old('description') }}">
        </div>
        <!-- placeholder -->
        <div class="mb-3 flex justify-center space-x-2">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
            <button type="submit" name="more" value="true"
                    class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit & more
            </button>
        </div>
    </form>
@endsection
