@extends('_layouts.backend')

@section('title', 'Neuen User erstellen')

@section('content')
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Create user</h3>
    </div>

    @if($errors->any())
        <div class="bg-red-500 text-red-950 p-3 rounded my-3">
            <ul>
                @foreach($errors->all() as $error)
                    <li>
                        {{$error}}
                    </li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('admin.users.create') }}" method="POST">
        @csrf
        <!-- email -->
        <div class="mb-6">
            <label for="email" class="block mb-2 text-sm font-medium">
                Email
            </label>
            <input type="email" id="email" name="email" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="email" required autocomplete="email" value="{{old('email')}}">
        </div>
        <!-- username -->
        <div class="mb-6">
            <label for="name" class="block mb-2 text-sm font-medium">
                Username
            </label>
            <input type="text" id="name" name="name" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="username" required autocomplete="username" value="{{old('name')}}">
        </div>
        <!-- password -->
        <div class="mb-6">
            <label for="password" class="block mb-2 text-sm font-medium">
                Password
            </label>
            <input type="password" id="password" name="password" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="password" required autocomplete="new-password">
        </div>
        <!-- password confirm-->
        <div class="mb-6">
            <label for="password_confirmation" class="block mb-2 text-sm font-medium">
                Confirm Password
            </label>
            <input type="password" id="password_confirmation" name="password_confirmation" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="confirm password" required autocomplete="new-password">
        </div>
        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>
    </form>
@endsection
