@extends("_layouts.auth")

@section('title', 'Passwort vergessen')

@section("content")
    <div class="bg-neutral-900 rounded-lg p-5">
        <h1 class="text-2xl text-violet-700 text-center">
            Password vergessen
        </h1>

        @include('common.notifications')

        <form action="{{ route('password.email') }}" method="POST">
            @csrf
            <!-- email -->
            <div class="mb-6">
                <label for="email" class="block mb-2 text-sm font-medium">
                    Email
                </label>
                <input type="email" id="email" name="email" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="email" required autocomplete="email">
            </div>
            <!-- placeholder -->
            <div class="mb-3">
                <button type="submit" class="rounded-full w-full bg-violet-700 border border-violet-600 p-1.5">
                    E-Mail anfordern
                </button>
            </div>
            <!-- placeholder -->
            <div class="text-center">
                <a href="{{ route('login') }}">
                    passwort doch nicht vergessen?
                </a>
            </div>
        </form>
    </div>
@endsection
