@extends("_layouts.auth")

@section('title', 'Login')

@section("content")
    <div class="bg-neutral-900 rounded-lg p-5">
        <h1 class="text-2xl text-violet-700 text-center">
            Einloggen
        </h1>

        @include('common.notifications')

        <form action="{{ route('login') }}" method="POST">
            @csrf

            <div class="flex justify-center my-4">
                <img src="{{ Storage::url('avatars/avatar-placeholder.png') }}" alt="Avatar" class="border border-gray-700 rounded-full p-1">
            </div>

            <!-- email -->
            <div class="mb-6">
                <label for="email" class="block mb-2 text-sm font-medium">
                    Email
                </label>
                <input type="email" id="email" name="email" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="test@test.de" required autocomplete="email" value="{{ old('email') }}">
            </div>
            <!-- password -->
            <div class="mb-3">
                <label for="password" class="block mb-2 text-sm font-medium">
                    Password
                </label>
                <input type="password" id="password" name="password" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="Password" required autocomplete="current-password">
            </div>
            <!-- forgot password -->
            <div class="text-right mb-3">
                <a href="{{ route('password.request') }}">
                    passwort vergessen?
                </a>
            </div>
            <!-- placeholder -->
            <div class="mb-3">
                <button type="submit" class="rounded-full w-full bg-violet-700 border border-violet-600 p-1.5">
                    Login
                </button>
            </div>
            <!-- placeholder -->
            <div class="text-center">
                <a href="{{ route('register') }}">
                    keinen Account? lost af der Typ
                </a>
            </div>
        </form>
    </div>
@endsection
