@extends("_layouts.auth")

@section('title', 'Neues Passwort')

@section("content")
    <div class="bg-neutral-900 rounded-lg p-5">
        <h1 class="text-2xl text-violet-700 text-center">
            Neues Passwort vergeben
        </h1>

        @include('common.notifications')

        <form action="{{ route('password.update') }}" method="POST">
            @csrf
            <input type="hidden" value="{{ request()->route('token') }}" name="token">
            <!-- email -->
            <div class="mb-6">
                <label for="email" class="block mb-2 text-sm font-medium">
                    Email
                </label>
                <input type="email" id="email" name="email" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="email" required autocomplete="email">
            </div>
            <!-- password -->
            <div class="mb-6">
                <label for="password" class="block mb-2 text-sm font-medium">
                    Password
                </label>
                <input type="password" id="password" name="password" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="password" required autocomplete="new-password">
            </div>
            <!-- password confirm-->
            <div class="mb-6">
                <label for="password_confirmation" class="block mb-2 text-sm font-medium">
                    Confirm Password
                </label>
                <input type="password" id="password_confirmation" name="password_confirmation" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="confirm password" required autocomplete="new-password">
            </div>
            <!-- placeholder -->
            <div class="mb-3">
                <button type="submit" class="rounded-full w-full bg-violet-700 border border-violet-600 p-1.5">
                    Speichern
                </button>
            </div>
        </form>
    </div>
@endsection
