@extends("_layouts.dialog")

@section('title', 'Verifizierung')

@section("content")
    <div class="bg-neutral-900 rounded-lg p-5">
        <h1 class="text-2xl text-violet-700 text-center">
            Nicht verifiziert
        </h1>

        @if(session('status') === 'verification-link-sent')
            <x-alert type="success" message="Wir haben dir eine neue E-Mail zur Verifizierung gesendet."></x-alert>
        @endif


        <x-alert type="warning" message="Deine E-Mail ist derzeit nicht verifiziert."></x-alert>

        <p class="p-3 mt-3">
            Bei deiner Registrierung wurde an deine E-Mail Adresse eine E-Mail gesendet, in der sich ein Link zur Bestätigung.
        </p>
        <p class="p-3 mb-3">
            Solltest du die E-Mail nicht erhalten haben, kannst du dir diese erneut senden lassen.
        </p>

        <form action="{{ route('verification.send') }}" method="POST">
            @csrf
            <!-- placeholder -->
            <div class="flex justify-between space-x-2.5 mt-6">
                <button type="submit" class="rounded-full w-full bg-amber-700 border border-amber-600 p-1.5">
                    E-Mail erneut senden
                </button>
            </div>
        </form>

        <form action="{{ route('logout') }}" method="POST">
            @csrf
            <!-- placeholder -->
            <div class="flex justify-between space-x-2.5 mt-6">
                <button type="submit" class="rounded-full w-full bg-red-700 border border-red-600 p-1.5">
                    Ausloggen
                </button>
            </div>
        </form>
    </div>
@endsection
