@extends('_layouts.app')

@section('title', 'Neues Team erstellen')

@section('content')
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Create team</h3>
    </div>

    @include('common.notifications')

    <form action="{{ route('gamemanage.create') }}" method="POST">
        @csrf
        <!-- username -->
        <div class="mb-6">
            <label for="name" class="block mb-2 text-sm font-medium">
                Name
            </label>
            <input type="text" id="name" name="name" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="team name" required value="{{ old('name') }}">
        </div>
        <!-- username -->
        <div class="mb-6">
            <label for="short" class="block mb-2 text-sm font-medium">
                Short name
            </label>
            <input type="text" id="short" name="short" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="short name" required value="{{ old('short') }}">
        </div>
        <!-- username -->
        <div class="mb-6">
            <label for="leader" class="block mb-2 text-sm font-medium">
                Leader
            </label>
            <select id="leader" name="leader" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400">
                @foreach($users as $user)
                    <option value="{{ $user->id }}" {{ old('leader') === $user->id ? 'selected' : '' }}>{{ $user->name }}</option>
                @endforeach
            </select>
        </div>
        <!-- username -->
        <div class="mb-6">
            <label for="game" class="block mb-2 text-sm font-medium">
                Game
            </label>
            <select id="game" name="game" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400">
                @foreach($games as $game)
                    <option value="{{ $game->id }}" {{ old('game') === $game->id ? 'selected' : '' }}>{{ $game->name }}</option>
                @endforeach
            </select>
        </div>
        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>
    </form>
@endsection
