@extends('_layouts.app')

@section('title', 'Teams')

@section('content')
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Teams</h3>

        <div class="space-x-2">
            @can('teams.create')
                <a href="{{ route('gamemanage.create') }}"
                   class="bg-green-700 rounded-full py-3 px-6 text-white hover:bg-green-900 drop-shadow">
                    Create
                </a>
            @endcan
        </div>
    </div>

    @include('common.notifications')

    <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
        <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th class="px-6 py-3">ID</th>
                <th class="px-6 py-3">Name</th>
                <th class="px-6 py-3">Game</th>
                <th class="px-6 py-3">Leader</th>
                <th class="px-6 py-3"></th>
            </tr>
            </thead>
            <tbody>
            @foreach($teams as $team)
                <tr class="odd:bg-neutral-900 even:bg-neutral-800 border-b border-gray-700">
                    <td class="px-6 py-4">{{ $team->id }}</td>
                    <td class="px-6 py-4">{{ $team->name }} ({{ $team->short }})</td>
                    <td class="px-6 py-4">{{ $team->game->name }}</td>
                    <td class="px-6 py-4">{{ $team->leader->name }}</td>
                    <td class="space-x-2.5">
                        @can('games.manage.'.$team->game->id)
                            <a href="{{ route('teams.members', $team) }}"
                               class="bg-green-700 rounded-full py-1.5 px-3 text-white hover:bg-green-900 drop-shadow">
                                Members</a>
                            <a href="{{ route('teams.manage', $team) }}"
                               class="bg-green-700 rounded-full py-1.5 px-3 text-white hover:bg-green-900 drop-shadow">
                                Manage</a>
                        @endcan
                        @can('teams.edit')
                            <a href="{{ route('gamemanage.edit', $team) }}"
                               class="bg-amber-700 rounded-full py-1.5 px-3 text-white hover:bg-amber-900 drop-shadow">
                                Edit</a>
                        @endcan
                        @can('teams.delete')
                            <a href="{{ route('gamemanage.delete', $team) }}"
                               class="bg-red-700 rounded-full py-1.5 px-3 text-white hover:bg-red-900 drop-shadow">
                                Delete</a>
                        @endcan
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection
