@extends('_layouts.app')

@section('title', 'My Teams')

@section('content')
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">My Teams</h3>
    </div>

    @include('common.notifications')

    <div class="relative overflow-x-auto">
        <div class="grid grid-cols-2 md:grid-cols-3 gap-4">
            @foreach($teams as $team)
                <a href="{{ route('teams.show', $team) }}" class="flex px-3 py-2 border shadow-md sm:rounded-lg border-gray-700">
                    @if($team->logo)
                        <div class="border border-gray-700 rounded-lg p-1 mr-4">
                            <img src="{{ \Illuminate\Support\Facades\Storage::url('teams/'.$team->logo) }}" class="w-16 h-16">
                        </div>
                    @endif
                    <div class="flex flex-col">
                        <p class="w-full font-semibold text-gray-300">{{ $team->name }}</p>
                        <p class="text-sm">{{ $team->leader->name }}</p>
                    </div>
                </a>
            @endforeach
        </div>
    </div>
@endsection
