@extends('_layouts.app')

@section('title', 'Team Mitglieder '.$team->name)

@section('content')
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Team Members :: {{ $team->name }}</h3>

        <div class="space-x-2">
            <a href="{{ route('teams.show', $team) }}"
               class="bg-green-700 rounded-full py-3 px-6 text-white hover:bg-green-900 drop-shadow">
                Zurück
            </a>
        </div>
    </div>

    @include('common.notifications')

    <form action="{{ route('teams.members', $team) }}" method="POST">
        @csrf
        <div class="mb-6" id="positions_rows">
            @foreach($team->positions as $index => $position)
                <div class="mb-6 position_row">
                    <label for="positions[{{$index}}][name]" class="block mb-2 text-sm font-medium">
                        Position {{$position['name']}}
                    </label>
                    <div class="sm:flex shadow-sm relative">
                        <img src="{{ isset($position['file']) ? Storage::url("images/".$position['file']) : ''}}" alt="{{ $position['name'] }} Image" class="mr-3">
                        <div class="w-full flex items-center">
                            <input type="text" value="{{ old("positions[$index][name]", $position['name']) }}" class="bg-neutral-700 border-y border-gray-600 rounded-s text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400" placeholder="Position" readonly>

                            <select id="members[{{$position['key']}}]" name="members[{{$position['key']}}]" class="bg-neutral-700 border border-gray-600 rounded-e border-s-0 text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400">
                                <option value="null">Nicht besetzt</option>
                                @foreach($users as $user)
                                    <option value="{{ $user->id }}" {{ old("members[".$position['key']."]", (null !== $team->members()->where('position', $position['key'])->first() ? $team->members()->where('position', $position['key'])->first()->id : 0)) === $user->id ? 'selected' : '' }}>{{ $user->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>

        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>
    </form>
@endsection
