<?php $__env->startSection('content'); ?>
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Edit role <?php echo e($role->name); ?></h3>
    </div>

    <?php if($errors->any()): ?>
        <div class="bg-red-500 text-red-950 p-3 rounded my-3">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li>
                        <?php echo e($error); ?>

                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <?php if(session('error')): ?>
        <div class="bg-red-500 text-red-950 p-3 rounded my-3">
            <?php echo e(session('error')); ?>

        </div>
    <?php endif; ?>

    <?php if(session('success')): ?>
        <div class="bg-green-500 text-green-950 p-3 rounded my-3">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <form action="<?php echo e(route('admin.roles.edit', $role->id)); ?>" method="Post">
        <?php echo csrf_field(); ?>
        <!-- username -->
        <div class="mb-6">
            <label for="name" class="block mb-2 text-sm font-medium">
                Name
            </label>
            <input type="text" id="name" name="name" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="role name" required value="<?php echo e(old('name', $role->name)); ?>">
        </div>

        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>

        <hr class="my-6">

        <div class="flex justify-between my-6">
            <h4 class="font-bold text-xl">Permissions</h4>
        </div>

        <div class="grid grid-cols-2 md:grid-cols-3 gap-4">
            <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="flex items-center ps-4 border rounded border-gray-700">
                    <input id="permission-<?php echo e($permission->id); ?>"
                           <?php echo e($role->hasPermissionTo($permission->name) ? 'checked' : ''); ?> type="checkbox"
                           value="<?php echo e($permission->name); ?>" name="permissions[]"
                           class="w-4 h-4 text-blue-600 rounded focus:ring-blue-600 ring-offset-gray-800 ring-2 bg-gray-700 border-gray-600">
                    <label for="permission-<?php echo e($permission->id); ?>"
                           class="w-full py-4 ms-2 text-sm font-medium text-gray-300"><?php echo e($permission->description); ?></label>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <!-- placeholder -->
        <div class="my-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('_layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\99_others\ifc_manage\resources\views/admin/roles/edit.blade.php ENDPATH**/ ?>