<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>IFC Management Page</title>

    <?php echo app('Illuminate\Foundation\Vite')(["resources/css/app.css", 'resources/js/app.js']); ?>
</head>
<body class="bg-neutral-800 text-white">
    <div class="container mx-auto">
        <div class="flex py-10 justify-between w-full">
            <div class="flex space-x-2">
                <a href="<?php echo e(route('admin.users.index')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    Users
                </a>
                <a href="<?php echo e(route('admin.roles.index')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    Roles
                </a>
                <a href="<?php echo e(route('admin.games.index')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    Games
                </a>
                <a href="<?php echo e(route('admin.teams.index')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    Teams
                </a>
            </div>

            <div class="flex space-x-2">
                <?php if(auth()->id()): ?>
                    <a href="<?php echo e(route('home')); ?>" class="bg-cyan-700 rounded-full py-3 px-6 text-white hover:bg-cyan-900 drop-shadow">
                        Home
                    </a>

                    <a href="<?php echo e(route('logout')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Ausloggen
                    </a>
                <?php else: ?>
                    <a href="<?php echo e(route('login')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Einloggen
                    </a>
                    <a href="<?php echo e(route('register')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Registrieren
                    </a>
                <?php endif; ?>
            </div>
        </div>
        <!-- uwu -->
        <main class="w-full mb-12">
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>
</body>
</html>
<?php /**PATH E:\99_others\ifc_manage\resources\views/_layouts/backend.blade.php ENDPATH**/ ?>