<?php $__env->startSection('content'); ?>
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Users</h3>

        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('users.create')): ?>
            <a href="<?php echo e(route('admin.users.create')); ?>"
               class="bg-green-700 rounded-full py-3 px-6 text-white hover:bg-green-900 drop-shadow">
                Create
            </a>
        <?php endif; ?>
    </div>

    <?php if($errors->any()): ?>
        <div class="bg-red-500 text-red-950 p-3 rounded my-3">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li>
                        <?php echo e($error); ?>

                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <?php if(session('error')): ?>
        <div class="bg-red-500 text-red-950 p-3 rounded my-3">
            <?php echo e(session('error')); ?>

        </div>
    <?php endif; ?>

    <?php if(session('success')): ?>
        <div class="bg-green-500 text-green-950 p-3 rounded my-3">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
        <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th class="px-6 py-3">ID</th>
                <th class="px-6 py-3">Username</th>
                <th class="px-6 py-3">E-Mail</th>
                <th class="px-6 py-3">Rollen</th>
                <th class="px-6 py-3">Created</th>
                <th class="px-6 py-3"></th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="odd:bg-neutral-900 even:bg-neutral-800 border-b border-gray-700">
                    <td class="px-6 py-4"><?php echo e($user->id); ?></td>
                    <td class="px-6 py-4"><?php echo e($user->name); ?></td>
                    <td class="px-6 py-4"><?php echo e($user->email); ?></td>
                    <td class="px-6 py-4"><?php echo e($user->roles->pluck('name')->implode(', ')); ?></td>
                    <td class="px-6 py-4"><?php echo e($user->created_at); ?></td>
                    <td class="space-x-2.5">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('users.edit')): ?>
                            <a href="<?php echo e(route('admin.users.edit', $user)); ?>"
                               class="bg-amber-700 rounded-full py-1.5 px-3 text-white hover:bg-amber-900 drop-shadow">
                                Edit</a>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('users.delete')): ?>
                            <a href="<?php echo e(route('admin.users.delete', $user)); ?>"
                               class="bg-red-700 rounded-full py-1.5 px-3 text-white hover:bg-red-900 drop-shadow">
                                Delete</a>
                        <?php endif; ?>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('_layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\99_others\ifc_manage\resources\views/admin/users/index.blade.php ENDPATH**/ ?>