<?php $__env->startSection('content'); ?>
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Team Members :: <?php echo e($team->name); ?></h3>

        <div class="space-x-2">
            <a href="<?php echo e(route('teams.show', $team)); ?>"
               class="bg-green-700 rounded-full py-3 px-6 text-white hover:bg-green-900 drop-shadow">
                Zurück
            </a>
        </div>
    </div>

    <?php echo $__env->make('common.notifications', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <form action="<?php echo e(route('teams.members', $team)); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <div class="mb-6" id="positions_rows">
            <?php $__currentLoopData = $team->positions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $position): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="mb-6 position_row">
                    <label for="positions[<?php echo e($index); ?>][name]" class="block mb-2 text-sm font-medium">
                        Position <?php echo e($position['name']); ?>

                    </label>
                    <div class="sm:flex shadow-sm relative">
                        <img src="<?php echo e(isset($position['file']) ? Storage::url("images/".$position['file']) : ''); ?>" alt="<?php echo e($position['name']); ?> Image" class="mr-3">
                        <div class="w-full flex items-center">
                            <input type="text" value="<?php echo e(old("positions[$index][name]", $position['name'])); ?>" class="bg-neutral-700 border-y border-gray-600 rounded-s text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400" placeholder="Position" readonly>

                            <select id="members[<?php echo e($position['key']); ?>]" name="members[<?php echo e($position['key']); ?>]" class="bg-neutral-700 border border-gray-600 rounded-e border-s-0 text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500 placeholder-gray-400">
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($user->id); ?>" <?php echo e(old("members[".$position['key']."]", (null !== $team->members()->where('position', $position['key'])->first() ? $team->members()->where('position', $position['key'])->first()->id : 0)) === $user->id ? 'selected' : ''); ?>><?php echo e($user->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('_layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\99_others\ifc_manage\resources\views/teams/members.blade.php ENDPATH**/ ?>