

<?php $__env->startSection("content"); ?>
    <div class="bg-neutral-900 rounded-lg p-5">
        <h1 class="text-2xl text-violet-700 text-center">
            Einloggen
        </h1>

        <?php if($errors->any()): ?>
            <div class="bg-red-500 text-red-950 p-3 rounded my-3">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li>
                            <?php echo e($error); ?>

                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>
        <?php if(session("status")): ?>
            <div class="mb-3 font-medium text-sm text-green-600">
                <?php echo e(session("status")); ?>

            </div>
        <?php endif; ?>

        <form action="<?php echo e(route('login')); ?>" method="POST">
            <?php echo csrf_field(); ?>

            <div class="flex justify-center my-4">
                <img src="<?php echo e(Storage::url('avatars/avatar-placeholder.png')); ?>" alt="Avatar" class="border border-gray-700 rounded-full p-1">
            </div>

            <!-- email -->
            <div class="mb-6">
                <label for="email" class="block mb-2 text-sm font-medium">
                    Email
                </label>
                <input type="email" id="email" name="email" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="test@test.de" required autocomplete="email" value="<?php echo e(old('email')); ?>">
            </div>
            <!-- password -->
            <div class="mb-3">
                <label for="password" class="block mb-2 text-sm font-medium">
                    Password
                </label>
                <input type="password" id="password" name="password" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="Password" required autocomplete="current-password">
            </div>
            <!-- forgot password -->
            <div class="text-right mb-3">
                <a href="<?php echo e(route('password.request')); ?>">
                    passwort vergessen?
                </a>
            </div>
            <!-- placeholder -->
            <div class="mb-3">
                <button class="rounded-full w-full bg-violet-700 border border-violet-600 p-1.5">
                    submit
                </button>
            </div>
            <!-- placeholder -->
            <div class="text-center">
                <a href="<?php echo e(route('register')); ?>">
                    keinen Account? lost af der Typ
                </a>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("_layouts.auth", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\99_others\ifc_manage\resources\views/auth/login.blade.php ENDPATH**/ ?>