<?php $__env->startSection('content'); ?>
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Teams</h3>

        <div class="space-x-2">
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('teams.create')): ?>
                <a href="<?php echo e(route('gamemanage.create')); ?>"
                   class="bg-green-700 rounded-full py-3 px-6 text-white hover:bg-green-900 drop-shadow">
                    Create
                </a>
            <?php endif; ?>
        </div>
    </div>

    <?php echo $__env->make('common.notifications', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
        <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
            <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
            <tr>
                <th class="px-6 py-3">ID</th>
                <th class="px-6 py-3">Name</th>
                <th class="px-6 py-3">Game</th>
                <th class="px-6 py-3">Leader</th>
                <th class="px-6 py-3"></th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $teams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $team): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr class="odd:bg-neutral-900 even:bg-neutral-800 border-b border-gray-700">
                    <td class="px-6 py-4"><?php echo e($team->id); ?></td>
                    <td class="px-6 py-4"><?php echo e($team->name); ?> (<?php echo e($team->short); ?>)</td>
                    <td class="px-6 py-4"><?php echo e($team->game->name); ?></td>
                    <td class="px-6 py-4"><?php echo e($team->leader->name); ?></td>
                    <td class="space-x-2.5">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('games.manage.'.$team->game->id)): ?>
                            <a href="<?php echo e(route('teams.members', $team)); ?>"
                               class="bg-green-700 rounded-full py-1.5 px-3 text-white hover:bg-green-900 drop-shadow">
                                Members</a>
                            <a href="<?php echo e(route('teams.manage', $team)); ?>"
                               class="bg-green-700 rounded-full py-1.5 px-3 text-white hover:bg-green-900 drop-shadow">
                                Manage</a>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('teams.edit')): ?>
                            <a href="<?php echo e(route('gamemanage.edit', $team)); ?>"
                               class="bg-amber-700 rounded-full py-1.5 px-3 text-white hover:bg-amber-900 drop-shadow">
                                Edit</a>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('teams.delete')): ?>
                            <a href="<?php echo e(route('gamemanage.delete', $team)); ?>"
                               class="bg-red-700 rounded-full py-1.5 px-3 text-white hover:bg-red-900 drop-shadow">
                                Delete</a>
                        <?php endif; ?>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('_layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\99_others\ifc_manage\resources\views/gamemanage/index.blade.php ENDPATH**/ ?>