<?php $__env->startSection('content'); ?>
    <div class="flex justify-between items-center mb-6">
        <div class="flex">
            <?php if($team->logo): ?>
                <div class="border border-gray-700 rounded-lg p-1 mr-4">
                    <img src="<?php echo e(\Illuminate\Support\Facades\Storage::url('teams/'.$team->logo)); ?>" class="w-16 h-16">
                </div>
            <?php endif; ?>
            <div>
                <h3 class="font-bold text-2xl">Team :: <?php echo e($team->name); ?></h3>
                <p>Team erstellt: <?php echo e($team->created_at->format('H:i:s d.m.Y')); ?></p>
            </div>
        </div>

        <div class="space-x-2">
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['teams.manage.'.$team->id, 'games.manage.'.$team->game->id])): ?>
                <a href="<?php echo e(route('teams.members', $team)); ?>"
                   class="bg-green-700 rounded-full py-3 px-6 text-white hover:bg-green-900 drop-shadow">
                    Members
                </a>

                <a href="<?php echo e(route('teams.manage', $team)); ?>"
                   class="bg-green-700 rounded-full py-3 px-6 text-white hover:bg-green-900 drop-shadow">
                    Manage
                </a>
            <?php endif; ?>
        </div>
    </div>

    <?php echo $__env->make('common.notifications', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="relative overflow-x-auto">
        <div class="flex justify-between space-x-2">
            <div class="w-1/2 space-y-2">
                <div class="flex w-full flex-col px-6 py-4 border rounded border-gray-700">
                    <p class="w-full font-semibold text-gray-300">Team Leader</p>
                    <p class="text-sm"><?php echo e($team->leader->name); ?></p>
                </div>
                <div class="flex w-full flex-col px-6 py-4 border rounded border-gray-700">
                    <p class="w-full font-semibold text-gray-300">Trainingszeiten</p>

                    <table>
                        <?php $__currentLoopData = $team->trainings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $training): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <th><?php echo e($training['day']); ?></th>
                            <td><?php echo e($training['start']); ?></td>
                            <td><?php echo e($training['end']); ?></td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </table>
                </div>

                <div class="flex w-full flex-col px-6 py-4 border rounded border-gray-700">
                    <p class="w-full font-semibold text-gray-300">Positionen</p>
                    <div class="grid grid-cols-2 md:grid-cols-3 gap-4">
                        <?php $__currentLoopData = $team->positions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $position): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="sm:flex shadow-sm relative">
                                <img src="<?php echo e(isset($position['file']) ? Storage::url("images/".$position['file']) : ''); ?>" alt="<?php echo e($position['name']); ?> Image" class="mr-3">
                                <div class="w-full flex flex-col">
                                    <p class="font-semibold"><?php echo e(null !== $team->members()->where('position', $position['key'])->first() ? $team->members()->where('position', $position['key'])->first()->name : 'Unbekannt'); ?></p>
                                    <p class="text-sm"><?php echo e($position['name']); ?></p>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
            <div class="space-y-2 w-1/2">
                <div class="flex w-full flex-col px-6 py-4 border rounded border-gray-700">
                    <p class="w-full font-semibold text-gray-300">Game</p>
                    <p class="text-sm"><?php echo e($team->game->name); ?></p>
                </div>
                <div class="flex w-full flex-col px-6 py-4 border rounded border-gray-700">
                    <p class="w-full font-semibold text-gray-300">Beschreibung</p>
                    <p class="text-sm"><?php echo nl2br(e($team->description)); ?></p>
                </div>
                <div class="flex w-full flex-col px-6 py-4 border rounded border-gray-700">
                    <p class="w-full font-semibold text-gray-300">Ziele</p>
                    <p class="text-sm"><?php echo nl2br(e($team->goals)); ?></p>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('_layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\99_others\ifc_manage\resources\views/teams/show.blade.php ENDPATH**/ ?>