<?php $__env->startSection('content'); ?>
    <div class="flex justify-between mb-6">
        <h3 class="font-bold text-2xl">Settings</h3>
    </div>

    <?php echo $__env->make('common.notifications', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <form action="<?php echo e(route('user.edit')); ?>" method="Post" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <!-- email -->
        <div class="mb-6">
            <label for="email" class="block mb-2 text-sm font-medium">
                Email
            </label>
            <input type="email" id="email" name="email" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="email" required autocomplete="email"
                   value="<?php echo e(old('email', $user->email)); ?>">
        </div>
        <!-- username -->
        <div class="mb-6">
            <label for="name" class="block mb-2 text-sm font-medium">
                Username
            </label>
            <input type="text" id="name" name="name" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="username" required autocomplete="username"
                   value="<?php echo e(old('name', $user->name)); ?>">
        </div>

        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>

        <hr class="my-6">

        <div class="flex justify-between my-6">
            <h4 class="font-bold text-xl">Avatar</h4>
        </div>

        <?php if($user->avatar): ?>
            <div class="flex justify-center">
                <div class="border border-gray-700 rounded-lg p-1">
                    <img src="<?php echo e(\Illuminate\Support\Facades\Storage::url('avatars/'.$user->avatar)); ?>" class="w-16 h-16">
                </div>
            </div>
        <?php endif; ?>

        <!-- username -->
        <div class="mb-6">
            <label for="avatar" class="block mb-2 text-sm font-medium">
                Avatar
            </label>
            <input type="file" id="avatar" name="avatar" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400">
        </div>

        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>

        <hr class="my-6">

        <div class="flex justify-between my-6">
            <h4 class="font-bold text-xl">Passwort</h4>
        </div>

        <!-- password -->
        <div class="mb-6">
            <label for="password" class="block mb-2 text-sm font-medium">
                Password
            </label>
            <input type="password" id="password" name="password" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="password" autocomplete="new-password">
        </div>
        <!-- password confirm-->
        <div class="mb-6">
            <label for="password_confirmation" class="block mb-2 text-sm font-medium">
                Confirm Password
            </label>
            <input type="password" id="password_confirmation" name="password_confirmation" class="bg-neutral-700 border
            border-gray-600 rounded text-sm w-full p-2.5 focus:ring-violet-500 focus:border-violet-500
            placeholder-gray-400" placeholder="confirm password" autocomplete="new-password">
        </div>

        <!-- placeholder -->
        <div class="mb-3 flex justify-center">
            <button type="submit" class="rounded-full px-6 py-2 bg-violet-700 border border-violet-600 p-1.5">
                submit
            </button>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('_layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\99_others\ifc_manage\resources\views/user/edit.blade.php ENDPATH**/ ?>