<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $__env->yieldContent('title', ''); ?> | <?php echo e(config('app.name', 'IFC Management')); ?></title>

    <?php echo app('Illuminate\Foundation\Vite')(["resources/css/app.css", 'resources/js/app.js']); ?>

    <?php echo $__env->yieldContent('scripts'); ?>
</head>
<body class="bg-neutral-800 text-white">
    <div class="container mx-auto">
        <div class="flex py-10 justify-between w-full">
            <div class="flex space-x-2">
                <a href="<?php echo e(route('teams.index')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    My Teams
                </a>
                <a href="<?php echo e(route('user.edit')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                    Settings
                </a>
            </div>

            <div class="flex space-x-2">
                <?php if(auth()->id()): ?>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('teams.management')): ?>
                        <a href="<?php echo e(route('gamemanage.index')); ?>" class="bg-amber-700 rounded-full py-3 px-6 text-white hover:bg-amber-900 drop-shadow">
                            Game Manager
                        </a>
                    <?php endif; ?>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('admin.open')): ?>
                        <a href="<?php echo e(route('admin.dashboard')); ?>" class="bg-red-700 rounded-full py-3 px-6 text-white hover:bg-red-900 drop-shadow">
                            Admin
                        </a>
                    <?php endif; ?>

                    <a href="<?php echo e(route('logout')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Ausloggen
                    </a>
                <?php else: ?>
                    <a href="<?php echo e(route('login')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Einloggen
                    </a>
                    <a href="<?php echo e(route('register')); ?>" class="bg-violet-700 rounded-full py-3 px-6 text-white hover:bg-violet-900 drop-shadow">
                        Registrieren
                    </a>
                <?php endif; ?>
            </div>
        </div>
        <!-- uwu -->
        <main class="w-full mb-12">
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>
</body>
</html>
<?php /**PATH E:\99_others\ifc_manage\resources\views/_layouts/app.blade.php ENDPATH**/ ?>